<template>
  <div class="comment-card" v-if="idContact === detailsComment.idContact">
    <div id="commentInfo">
      <h1>{{ detailsComment.commentDate }}</h1>
      <h2>{{ detailsComment.commentDetails }}</h2>
    </div>
    <div class="btn">
      <button @click="deleteComment" class="delete">
        <i class="fas fa-trash"></i>
      </button>
      <button @click="editComment" class="details">
        <i class="fas fa-edit"></i>
      </button>
    </div>
  </div>
</template>

<script>
export default {
  name: "CommentCard",
  props: {
    detailsComment: {
      propType: Array,
      required: true
    },
    idContact: { objecttype: String, required: true }
  },
  data() {
    return {
      commentId: this.detailsComment.id
    };
  },

  methods: {
    deleteComment() {
      this.$emit("delete-comment-event", this.commentId);
    },
    editComment() {
      this.$emit("edit-comment-event", this.commentId);
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.comment-card {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin: 1rem 25rem;
  padding: 1rem;
  border-radius: 10px;
  background: #e1ecf2;
  box-shadow: 14px 14px 38px #c8d2d7, -14px -14px 38px #faffff;
}
#commentInfo {
  display: flex;
  flex-direction: column;
  text-align: left;
  width: 20vw;
}
.btn {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}
button {
  padding: 1rem;
  border-style: none;
  border-radius: 10px;
  background: #e1ecf2;
  box-shadow: 5px 5px 10px #d1dbe1, -5px -5px 10px #f1fdff;
}
h1 {
  font-size: 18px;
  margin: 0rem;
  margin-top: 1rem;
  color: rgb(83, 83, 83);
}
h2 {
  font-size: 16px;
  margin: 1rem 0rem;
  color: rgb(83, 83, 83);
}
.delete {
  color: rgb(248, 94, 94);
}
.details {
  color: #1cb6e0;
}
@media all and (max-width: 601px) {
  .comment-card {
    margin: 0.5rem 2rem;
    padding: 0.5rem;
  }
  h1 {
    font-size: 12px;
  }
  h2 {
    font-size: 10px;
  }
  #commentInfo {
    width: 40vw;
  }
  .delete,
  .details {
    font-size: 10px;
  }
  button {
    padding: 0.8rem;
  }
}
</style>
